﻿// Copyright (C) Microsoft Corporation. All Rights Reserved.
// This code released under the terms of the Microsoft Public License
// (Ms-PL, http://opensource.org/licenses/ms-pl.html).

using System;
using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Controls.Primitives;

namespace CustomDateTimePickerPage
{
    public partial class CustomDatePickerPage : PhoneApplicationPage, IDateTimePickerPage
    {
        /// <summary>
        /// Gets or sets the DateTime value for the IDateTimePickerPage interface.
        /// </summary>
        public DateTime? Value { get; set; }

        public CustomDatePickerPage()
        {
            InitializeComponent();
        }

        private void TomorrowButtonClick(object sender, RoutedEventArgs e)
        {
            ChooseDate(DateTime.Now.AddDays(1));
        }

        private void NextWeekButtonClick(object sender, RoutedEventArgs e)
        {
            ChooseDate(DateTime.Now.AddDays(7));
        }

        private void NextMonthButtonClick(object sender, RoutedEventArgs e)
        {
            ChooseDate(DateTime.Now.AddMonths(1));
        }

        private void ChooseDate(DateTime date)
        {
            // Commit date and close picker
            Value = date;
            NavigationService.GoBack();
        }

        private void CancelButtonClick(object sender, RoutedEventArgs e)
        {
            // Cancel selection and close picker
            Value = null;
            NavigationService.GoBack();
        }
    }
}
