﻿// Copyright (C) Microsoft Corporation. All Rights Reserved.
// This code released under the terms of the Microsoft Public License
// (Ms-PL, http://opensource.org/licenses/ms-pl.html).

using System;
using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Controls.Primitives;

namespace CustomDateTimePickerPage
{
    public partial class CustomTimePickerPage : PhoneApplicationPage, IDateTimePickerPage
    {
        /// <summary>
        /// Gets or sets the DateTime value for the IDateTimePickerPage interface.
        /// </summary>
        public DateTime? Value { get; set; }

        public CustomTimePickerPage()
        {
            InitializeComponent();
        }

        private void PlusThirtyMinutesButtonClick(object sender, RoutedEventArgs e)
        {
            ChooseTime(DateTime.Now.AddMinutes(30));
        }

        private void PlusOneHourButtonClick(object sender, RoutedEventArgs e)
        {
            ChooseTime(DateTime.Now.AddHours(1));
        }

        private void PlusTwoHoursButtonClick(object sender, RoutedEventArgs e)
        {
            ChooseTime(DateTime.Now.AddHours(2));
        }

        private void ChooseTime(DateTime time)
        {
            // Commit date and close picker
            Value = time;
            NavigationService.GoBack();
        }

        private void CancelButtonClick(object sender, RoutedEventArgs e)
        {
            // Cancel selection and close picker
            Value = null;
            NavigationService.GoBack();
        }
    }
}
