﻿// Copyright (C) Microsoft Corporation. All Rights Reserved.
// This code released under the terms of the Microsoft Public License
// (Ms-PL, http://opensource.org/licenses/ms-pl.html).

using System;
using System.Windows.Threading;
using Microsoft.Phone.Controls;

namespace CustomDateTimePickerPage
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();

            var timer = new DispatcherTimer { Interval = TimeSpan.FromSeconds(0.5) };
            timer.Tick += new EventHandler(HandleTimerTick);
            timer.Start();
            HandleTimerTick(null, null);
        }

        private void HandleTimerTick(object sender, EventArgs e)
        {
            var now = DateTime.Now;
            CurrentTimeTextBlock.Text = now.ToString("d") + " " + now.ToString("T");
        }
    }
}
